Переполнение буфера в Audacity

Дата публикации:
11.01.2009
Дата изменения:
11.01.2009
Всего просмотров:
2310
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Audacity 1.x
Уязвимые версии: Audacity 1.2.6, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "String_parse::get_nonspace_quoted()" в файле lib-src/allegro/strparse.cpp. Злоумышленник может обманом заставить пользователя импортировать специально сформированный .gro файла, вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: audacity.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Audacity 1.6.2 (.gro File) Local Buffer Overflow PoC

или введите имя

CAPTCHA